curl -X GET '/v1/agentic-wallets/aw_01abc123' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"data": {
"wallet_id": "aw_01abc123",
"name": "Production Agent Wallet",
"wallet_address": "0x742d35Cc6634C0532925a3b8D4C9C2A5Ef8C2B1",
"chain": "base",
"status": "active",
"balance": 250.00,
"assets": {
"USDC": 250.00
},
"limits": {
"per_transaction": 100,
"daily": 1000,
"monthly": 10000
},
"auto_fund": {
"enabled": false
},
"x402": {
"enabled": true,
"max_amount": 1.00
},
"connectors_count": 2,
"total_spent": 1250.00,
"total_transactions": 45,
"created_at": "2026-04-01T12:00:00Z"
}
}
Agentic Wallets
Get Agentic Wallet
Get details of a specific agentic wallet
GET
/
v1
/
agentic-wallets
/
{walletId}
curl -X GET '/v1/agentic-wallets/aw_01abc123' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"data": {
"wallet_id": "aw_01abc123",
"name": "Production Agent Wallet",
"wallet_address": "0x742d35Cc6634C0532925a3b8D4C9C2A5Ef8C2B1",
"chain": "base",
"status": "active",
"balance": 250.00,
"assets": {
"USDC": 250.00
},
"limits": {
"per_transaction": 100,
"daily": 1000,
"monthly": 10000
},
"auto_fund": {
"enabled": false
},
"x402": {
"enabled": true,
"max_amount": 1.00
},
"connectors_count": 2,
"total_spent": 1250.00,
"total_transactions": 45,
"created_at": "2026-04-01T12:00:00Z"
}
}
Bearer token:
Bearer YOUR_ACCESS_TOKENThe wallet ID (starts with
aw_).curl -X GET '/v1/agentic-wallets/aw_01abc123' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"data": {
"wallet_id": "aw_01abc123",
"name": "Production Agent Wallet",
"wallet_address": "0x742d35Cc6634C0532925a3b8D4C9C2A5Ef8C2B1",
"chain": "base",
"status": "active",
"balance": 250.00,
"assets": {
"USDC": 250.00
},
"limits": {
"per_transaction": 100,
"daily": 1000,
"monthly": 10000
},
"auto_fund": {
"enabled": false
},
"x402": {
"enabled": true,
"max_amount": 1.00
},
"connectors_count": 2,
"total_spent": 1250.00,
"total_transactions": 45,
"created_at": "2026-04-01T12:00:00Z"
}
}
⌘I

